Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 604406 - sys-apps/cpuid-20151017 : cpuid.c:(.text+<snip>): undefined reference to `makedev'
Summary: sys-apps/cpuid-20151017 : cpuid.c:(.text+<snip>): undefined reference to `mak...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Markos Chandras (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: glibc-sysmacros
  Show dependency tree
 
Reported: 2017-01-02 14:46 UTC by Toralf Förster
Modified: 2017-09-04 20:12 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-history.txt (emerge-history.txt,276.75 KB, text/plain)
2017-01-02 14:46 UTC, Toralf Förster
Details
environment (environment,77.21 KB, text/plain)
2017-01-02 14:46 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,11.97 KB, application/x-bzip)
2017-01-02 14:46 UTC, Toralf Förster
Details
sys-apps:cpuid-20151017:20170102-143906.log (sys-apps:cpuid-20151017:20170102-143906.log,2.49 KB, text/plain)
2017-01-02 14:46 UTC, Toralf Förster
Details
cpuid-20170122-sysmacros.patch (cpuid-20170122-sysmacros.patch,260 bytes, patch)
2017-06-22 13:16 UTC, Lars Wendler (Polynomial-C)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2017-01-02 14:46:19 UTC
                     ^
/var/tmp/portage/sys-apps/cpuid-20151017/temp/ccTXASeN.o: In function `do_real':
cpuid.c:(.text+0x15d4d): undefined reference to `makedev'
collect2: error: ld returned 1 exit status
make: *** [Makefile:35: cpuid] Error 1
 * ERROR: sys-apps/cpuid-20151017::gentoo failed (compile phase):

  -----------------------------------------------------------------

  This is an unstable amd64 chroot image (named 13.0-unstable_20161228-111033) at a hardened host acting as a tinderbox.

  -----------------------------------------------------------------
  from make.conf:
USE="  pax_kernel xtpax -cdinstall -oci8 -bindist ssp avformat gzip kvm -mdnsresponder-compat melt mpi opencv php postproc pwquality sql system-jpeg system-llvm tracepath ufed -wma xcb xvmc"

gcc-config -l:
 [1] x86_64-pc-linux-gnu-5.4.0 *
llvm-config --version:
3.9.1

Available Python interpreters, in order of preference:
  [1]   python2.7
  [2]   python3.4
  [3]   python3.5 (fallback)
Available Ruby profiles:
  [1]   ruby21 (with Rubygems) *
java-config:
The following VMs are available for generation-2:
  -----------------------------------------------------------------



$ cat emerge-info.txt
Portage 2.3.3 (python 2.7.12-final-0, default/linux/amd64/13.0, gcc-5.4.0, glibc-2.24, 4.8.15-hardened x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.8.15-hardened-x86_64-Intel-R-_Core-TM-_i7-3930K_CPU_@_3.20GHz-with-gentoo-2.3
KiB Mem:    65285560 total,   2123148 free
KiB Swap:   67108860 total,  67091640 free
Timestamp of repository gentoo: Mon, 02 Jan 2017 14:22:43 +0000
sh bash 4.4_p5-r1
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
ccache version 3.3.3 [disabled]
app-shells/bash:          4.4_p5-r1::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.24.1_rc4::gentoo
dev-lang/python:          2.7.12::gentoo, 3.4.5::gentoo, 3.5.2::gentoo
dev-util/ccache:          3.3.3::gentoo
dev-util/cmake:           3.7.1::gentoo
sys-apps/baselayout:      2.3::gentoo
sys-apps/openrc:          0.23::gentoo
sys-apps/sandbox:         2.10-r3::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r2::gentoo
sys-devel/automake:       1.9.6-r4::gentoo, 1.11.6-r2::gentoo, 1.13.4-r1::gentoo, 1.14.1-r1::gentoo, 1.15-r2::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo, 2.27::gentoo
sys-devel/gcc:            5.4.0-r2::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.9::gentoo (virtual/os-headers)
sys-libs/glibc:           2.24::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: 1

tinderbox
    location: /tmp/tb/data/portage
    masters: gentoo
    priority: 2

local
    location: /usr/local/portage
    masters: gentoo
    priority: 99

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=native -Wall"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/omega.conf /etc/stunnel/stunnel.conf /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.6/ext-active/ /etc/php/apache2-php7.1/ext-active/ /etc/php/cgi-php5.6/ext-active/ /etc/php/cgi-php7.1/ext-active/ /etc/php/cli-php5.6/ext-active/ /etc/php/cli-php7.1/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -march=native"
DISTDIR="/var/tmp/distfiles"
EMERGE_DEFAULT_OPTS="--verbose --verbose-conflicts --color=n --nospinner --tree --quiet-build"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync network-sandbox parallel-fetch preserve-libs protect-owned sandbox sfperms strict test-fail-continue unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.uni-erlangen.de/pub/mirrors/gentoo rsync://mirror.netcologne.de/gentoo/ ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gor.bytemark.co.uk/gentoo/ rsync://ftp.snt.utwente.nl/gentoo"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="acl amd64 avformat berkdb bzip2 cli cracklib crypt cxx dri fortran gdbm gzip iconv ipv6 kvm melt mmx mmxext modules mpi multilib ncurses nls nptl opencv openmp pam pax_kernel pcre php postproc pwquality readline seccomp session sql sse sse2 ssl ssp system-jpeg system-llvm tcpd tracepath ufed unicode xattr xcb xtpax xvmc zlib" ABI_X86="64" ALSA_CARDS="hda-intel" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" L10N="doi is te zh" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby21" USERLAND="GNU" VIDEO_CARDS="intel i965" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Toralf Förster gentoo-dev 2017-01-02 14:46:26 UTC
Created attachment 458356 [details]
emerge-history.txt
Comment 2 Toralf Förster gentoo-dev 2017-01-02 14:46:29 UTC
Created attachment 458358 [details]
environment
Comment 3 Toralf Förster gentoo-dev 2017-01-02 14:46:32 UTC
Created attachment 458360 [details]
etc.portage.tbz2
Comment 4 Toralf Förster gentoo-dev 2017-01-02 14:46:35 UTC
Created attachment 458362 [details]
sys-apps:cpuid-20151017:20170102-143906.log
Comment 5 Lars Wendler (Polynomial-C) gentoo-dev 2017-06-22 13:16:40 UTC
Created attachment 477602 [details, diff]
cpuid-20170122-sysmacros.patch

Possible fix (which I also sent to upstream).
Comment 6 Larry the Git Cow gentoo-dev 2017-09-04 20:12:05 UTC
Bug has been closed via the following commit:
    https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0eb6841a14d6e5bc5760af0f7fdbe805725b0ed7

    commit 0eb6841a14d6e5bc5760af0f7fdbe805725b0ed7
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2017-09-04 20:10:45 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2017-09-04 20:11:42 +0000

    sys-apps/cpuid: Add missing sys/sysmacros.h include
    
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=604406
    Package-Manager: Portage-2.3.8, Repoman-2.3.3

 sys-apps/cpuid/cpuid-20170122.ebuild               | 27 ++++++++++++----------
 .../cpuid-20170122-missing-include-sysmacros.patch | 12 ++++++++++
 2 files changed, 27 insertions(+), 12 deletions(-)